Highlighted
Anonymous_User Absent Member.
Absent Member.
1700 views

Updating Linux agents to latest code - GW 8.02 HP2

I've been asked to update our POA on the Linux box to 8.02 HP2 to troubleshoot some issues we're having with the Data Synchronizer.

I was told that updating the agents on Linux was much easier than on Netware, in that you could simply update the files, and stop/restart the processes, thus minimizing any downtime (whereas with Netware, you had to take the agents down before you could even begin the process).

Is this correct? For example, I can run the update, choose INSTALL PRODUCTS | GROUPWISE AGENTS | INSTALL AGENTS to copy the updated code. Is it then a matter of simply running "rcgrpwise restart" to load the new code? Or must I run the CONFIGURE AGENTS first?

This doesn't seem to be very well-documented, and this is the first time I've had an opportunity to update the Linux version of Groupwise, but of course, it's hard to get downtime, too, and my Data Synchronizer system is broken until I can get my POA updated.

Any suggestions?

Thanks!
Labels (2)
0 Likes
3 Replies
Knowledge Partner
Knowledge Partner

Re: Updating Linux agents to latest code - GW 8.02 HP2

Hello,

Assuming you're at 8.0.2 already and just going to the HP2, yes, your steps above will work.

If you have multiple components on the server, it may pop-up a message stating it's going to update that code as well.

I also like to re-copy the windows ofviews from the patch into the PO\ofviews\win directory as well in case some of them were updated.

I'm not 100% sure if you can do the same for 8.0.1 to 8.0.2 HP2 (I don't know/remember if any special things changed like dictionary files, etc. between those versions)
0 Likes
Anonymous_User Absent Member.
Absent Member.

Re: Updating Linux agents to latest code - GW 8.02 HP2

You are correct. Currently at 8.02 -- simply needing the SOAP fixes in HP2. I am only running a POA on this box.

In fact, I had already run INSTALL AGENTS to see what options there were, only to be surprised when it began copying files and completed with no further prompts!?!

Since I now know I don't need to run CONFIGURE AGENTS, I'm debating whether to initiate the "rcgrpwise restart" to load the new code (and possibly disrupt service if problems arise), or wait until the middle of the night, which will delay resolving my Data Syncronizer problem yet another day...
0 Likes
VChaturvedi Absent Member.
Absent Member.

Re: Updating Linux agents to latest code - GW 8.02 HP2

Hi,

After updating the GroupWise Agents on Linux box you need to restart the agents by executing the command rcgrpwise restart. GroupWise 8.0.2 HP2 has the SOAP fixes which is very helpful for Datasync. I would also suggest you to upgrade the Datasync to the latest patch (Build 428) with the security patch also.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.